# MSP::CCS::UTMParameters Class Reference

`#include <UTMParameters.h>`

Inheritance diagram for MSP::CCS::UTMParameters:

List of all members.

## Public Member Functions

| UTMParameters ()
| UTMParameters (CoordinateType::Enum _coordinateType)
| UTMParameters (CoordinateType::Enum _coordinateType, long __override)
| UTMParameters (CoordinateType::Enum _coordinateType, long __zone, long __override)
| UTMParameters (const UTMParameters &p)
| ~UTMParameters ()
UTMParameters & | operator= (const UTMParameters &p)
void | set (long __zone, long __override)
void | setZone (long __zone)
void | setOverride (long __override)
long | zone () const
long | override () const

## Detailed Description

Definition at line 15 of file UTMParameters.h.

## Constructor & Destructor Documentation

UTMParameters::UTMParameters | ( |  | ) |

Definition at line 9 of file UTMParameters.cpp.

UTMParameters::UTMParameters | ( | CoordinateType::Enum | _coordinateType | ) |

Definition at line 17 of file UTMParameters.cpp.

UTMParameters::UTMParameters | ( | CoordinateType::Enum | _coordinateType,
|  | long | __override |
| ) |  |  |

Definition at line 25 of file UTMParameters.cpp.

UTMParameters::UTMParameters | ( | CoordinateType::Enum | _coordinateType,
|  | long | __zone,
|  | long | __override |
| ) |  |  |

Definition at line 33 of file UTMParameters.cpp.

UTMParameters::UTMParameters | ( | const UTMParameters & | p | ) |

Definition at line 41 of file UTMParameters.cpp.

UTMParameters::~UTMParameters | ( |  | ) |

Definition at line 50 of file UTMParameters.cpp.

## Member Function Documentation

UTMParameters & UTMParameters::operator= | ( | const UTMParameters & | p | ) |

Reimplemented from MSP::CCS::CoordinateSystemParameters.

Definition at line 57 of file UTMParameters.cpp.

long UTMParameters::override | ( |  | ) | const

Definition at line 96 of file UTMParameters.cpp.

void UTMParameters::set | ( | long | __zone,
|  | long | __override |
| ) |  |  |

Definition at line 71 of file UTMParameters.cpp.

void UTMParameters::setOverride | ( | long | __override | ) |

Definition at line 84 of file UTMParameters.cpp.

void UTMParameters::setZone | ( | long | __zone | ) |

Definition at line 78 of file UTMParameters.cpp.

long UTMParameters::zone | ( |  | ) | const

Definition at line 90 of file UTMParameters.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystemParameters/UTMParameters.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystemParameters/UTMParameters.cpp